from datetime import datetime
from app import db


class Swipe(db.Model):
    __tablename__ = 'swipes'
    id = db.Column('id', db.Integer, primary_key=True)
    time = db.Column(db.DateTime, nullable=False, default=datetime.utcnow)
    uuid = db.Column(db.String(100))

    def __init__(self, uuid):
        self.uuid = uuid


class User(db.Model):
    __tablename__ = 'users'
    id = db.Column('id', db.Integer, primary_key=True)
    uuid = db.Column(db.String(100))
    first_name = db.Column(db.String(100))
    last_name = db.Column(db.String(100))
    role = db.Column(db.String(100))
